/*
    pick-set is a program to take a list of files and produce a random subset
    of these that fit within a given size.

    Copyright (C) 2000 V.R.Sanders

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    To conatct me use email to vince@kyllikki.fluff.org

    Main website for new versions is http://www.kyllikki.fluff.org/software

*/

#ifndef PICKSET_HEADER

typedef struct item_s item;
struct item_s
{
    item * next_item;
    char * filename;
    long int item_size;
    int item_weight;
};

typedef struct
{
    int debug;
    item * selected_items;
    int num_selected_items;
    item * unselected_items;
    int num_unselected_items;
    item * exclude_items;
    int num_exclude_items;
    unsigned long long max_selected_size;
    unsigned long long ok_selected_size;
    unsigned long long actual_selected_size;
    int max_fidgets;
    char * prog_name;
    int weightings;

}control;

#else
#warning "Pickset header re-included"
#endif
